Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 21490)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 21514)
@@ -117,7 +117,7 @@
 
             if (count($this->arrErr) == 0) {
-                $where = "del_flg = 0";
+                $where = 'del_flg = 0';
                 foreach ($arrParam as $key => $val) {
-                    if ($val == "") {
+                    if ($val == '') {
                         continue;
                     }
@@ -125,5 +125,5 @@
                 }
 
-                $order = "update_date DESC";
+                $order = 'update_date DESC';
 
                 /* -----------------------------------------------
@@ -180,42 +180,42 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam("注文番号1", 'search_order_id1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("注文番号2", 'search_order_id2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("対応状況", 'search_order_status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("注文者 お名前", 'search_order_name', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("注文者 お名前(フリガナ)", 'search_order_kana', STEXT_LEN, 'KVCa', array('KANA_CHECK','MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("性別", 'search_order_sex', INT_LEN, 'n', array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("年齢1", 'search_age1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("年齢2", 'search_age2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("メールアドレス", 'search_order_email', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('注文番号1', 'search_order_id1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('注文番号2', 'search_order_id2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('対応状況', 'search_order_status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('注文者 お名前', 'search_order_name', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('注文者 お名前(フリガナ)', 'search_order_kana', STEXT_LEN, 'KVCa', array('KANA_CHECK','MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('性別', 'search_order_sex', INT_LEN, 'n', array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('年齢1', 'search_age1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('年齢2', 'search_age2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('メールアドレス', 'search_order_email', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('TEL', 'search_order_tel', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("支払い方法", 'search_payment_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("購入金額1", 'search_total1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("購入金額2", 'search_total2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("表示件数", 'search_page_max', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('支払い方法', 'search_payment_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('購入金額1', 'search_total1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('購入金額2', 'search_total2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('表示件数', 'search_page_max', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         // 受注日
-        $objFormParam->addParam("開始年", 'search_sorderyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始月", 'search_sordermonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始日", 'search_sorderday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了年", 'search_eorderyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了月", 'search_eordermonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了日", 'search_eorderday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始年', 'search_sorderyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始月', 'search_sordermonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始日', 'search_sorderday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了年', 'search_eorderyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了月', 'search_eordermonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了日', 'search_eorderday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         // 更新日
-        $objFormParam->addParam("開始年", 'search_supdateyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始月", 'search_supdatemonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始日", 'search_supdateday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了年", 'search_eupdateyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了月", 'search_eupdatemonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了日", 'search_eupdateday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始年', 'search_supdateyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始月', 'search_supdatemonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始日', 'search_supdateday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了年', 'search_eupdateyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了月', 'search_eupdatemonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了日', 'search_eupdateday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         // 生年月日
-        $objFormParam->addParam("開始年", 'search_sbirthyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始月", 'search_sbirthmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("開始日", 'search_sbirthday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了年", 'search_ebirthyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了月", 'search_ebirthmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("終了日", 'search_ebirthday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("購入商品",'search_product_name',STEXT_LEN,'KVa',array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("ページ送り番号",'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("受注ID", 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始年', 'search_sbirthyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始月', 'search_sbirthmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('開始日', 'search_sbirthday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了年', 'search_ebirthyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了月', 'search_ebirthmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('終了日', 'search_ebirthday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('購入商品','search_product_name',STEXT_LEN,'KVa',array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('ページ送り番号','search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('受注ID', 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
     }
 
@@ -231,19 +231,19 @@
 
         // 相関チェック
-        $objErr->doFunc(array("注文番号1", "注文番号2", 'search_order_id1', 'search_order_id2'), array('GREATER_CHECK'));
-        $objErr->doFunc(array("年齢1", "年齢2", 'search_age1', 'search_age2'), array('GREATER_CHECK'));
-        $objErr->doFunc(array("購入金額1", "購入金額2", 'search_total1', 'search_total2'), array('GREATER_CHECK'));
+        $objErr->doFunc(array('注文番号1', '注文番号2', 'search_order_id1', 'search_order_id2'), array('GREATER_CHECK'));
+        $objErr->doFunc(array('年齢1', '年齢2', 'search_age1', 'search_age2'), array('GREATER_CHECK'));
+        $objErr->doFunc(array('購入金額1', '購入金額2', 'search_total1', 'search_total2'), array('GREATER_CHECK'));
         // 受注日
-        $objErr->doFunc(array("開始", 'search_sorderyear', 'search_sordermonth', 'search_sorderday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("終了", 'search_eorderyear', 'search_eordermonth', 'search_eorderday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("開始", "終了", 'search_sorderyear', 'search_sordermonth', 'search_sorderday', 'search_eorderyear', 'search_eordermonth', 'search_eorderday'), array('CHECK_SET_TERM'));
+        $objErr->doFunc(array('開始', 'search_sorderyear', 'search_sordermonth', 'search_sorderday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('終了', 'search_eorderyear', 'search_eordermonth', 'search_eorderday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('開始', '終了', 'search_sorderyear', 'search_sordermonth', 'search_sorderday', 'search_eorderyear', 'search_eordermonth', 'search_eorderday'), array('CHECK_SET_TERM'));
         // 更新日
-        $objErr->doFunc(array("開始", 'search_supdateyear', 'search_supdatemonth', 'search_supdateday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("終了", 'search_eupdateyear', 'search_eupdatemonth', 'search_eupdateday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("開始", "終了", 'search_supdateyear', 'search_supdatemonth', 'search_supdateday', 'search_eupdateyear', 'search_eupdatemonth', 'search_eupdateday'), array('CHECK_SET_TERM'));
+        $objErr->doFunc(array('開始', 'search_supdateyear', 'search_supdatemonth', 'search_supdateday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('終了', 'search_eupdateyear', 'search_eupdatemonth', 'search_eupdateday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('開始', '終了', 'search_supdateyear', 'search_supdatemonth', 'search_supdateday', 'search_eupdateyear', 'search_eupdatemonth', 'search_eupdateday'), array('CHECK_SET_TERM'));
         // 生年月日
-        $objErr->doFunc(array("開始", 'search_sbirthyear', 'search_sbirthmonth', 'search_sbirthday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("終了", 'search_ebirthyear', 'search_ebirthmonth', 'search_ebirthday'), array('CHECK_DATE'));
-        $objErr->doFunc(array("開始", "終了", 'search_sbirthyear', 'search_sbirthmonth', 'search_sbirthday', 'search_ebirthyear', 'search_ebirthmonth', 'search_ebirthday'), array('CHECK_SET_TERM'));
+        $objErr->doFunc(array('開始', 'search_sbirthyear', 'search_sbirthmonth', 'search_sbirthday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('終了', 'search_ebirthyear', 'search_ebirthmonth', 'search_ebirthday'), array('CHECK_DATE'));
+        $objErr->doFunc(array('開始', '終了', 'search_sbirthyear', 'search_sbirthmonth', 'search_sbirthday', 'search_ebirthyear', 'search_ebirthmonth', 'search_ebirthday'), array('CHECK_SET_TERM'));
 
         return $objErr->arrErr;
@@ -269,31 +269,31 @@
 
         case 'search_product_name':
-            $where .= " AND EXISTS (SELECT 1 FROM dtb_order_detail od WHERE od.order_id = dtb_order.order_id AND od.product_name LIKE ?)";
+            $where .= ' AND EXISTS (SELECT 1 FROM dtb_order_detail od WHERE od.order_id = dtb_order.order_id AND od.product_name LIKE ?)';
             $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
             break;
         case 'search_order_name':
-            $where .= " AND " . $dbFactory->concatColumn(array('order_name01', 'order_name02')) . " LIKE ?";
+            $where .= ' AND ' . $dbFactory->concatColumn(array('order_name01', 'order_name02')) . " LIKE ?";
             $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
             break;
         case 'search_order_kana':
-            $where .= " AND " . $dbFactory->concatColumn(array('order_kana01', 'order_kana02')) . " LIKE ?";
+            $where .= ' AND ' . $dbFactory->concatColumn(array('order_kana01', 'order_kana02')) . " LIKE ?";
             $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
             break;
         case 'search_order_id1':
-            $where .= " AND order_id >= ?";
+            $where .= ' AND order_id >= ?';
             $arrValues[] = sprintf('%d', $objFormParam->getValue($key));
             break;
         case 'search_order_id2':
-            $where .= " AND order_id <= ?";
+            $where .= ' AND order_id <= ?';
             $arrValues[] = sprintf('%d', $objFormParam->getValue($key));
             break;
         case 'search_order_sex':
-            $tmp_where = "";
+            $tmp_where = '';
             foreach ($objFormParam->getValue($key) as $element) {
-                if ($element != "") {
+                if ($element != '') {
                     if (SC_Utils_Ex::isBlank($tmp_where)) {
-                        $tmp_where .= " AND (order_sex = ?";
+                        $tmp_where .= ' AND (order_sex = ?';
                     } else {
-                        $tmp_where .= " OR order_sex = ?";
+                        $tmp_where .= ' OR order_sex = ?';
                     }
                     $arrValues[] = $element;
@@ -302,24 +302,24 @@
 
             if (!SC_Utils_Ex::isBlank($tmp_where)) {
-                $tmp_where .= ")";
+                $tmp_where .= ')';
                 $where .= " $tmp_where ";
             }
             break;
         case 'search_order_tel':
-            $where .= " AND (" . $dbFactory->concatColumn(array('order_tel01', 'order_tel02', 'order_tel03')) . " LIKE ?)";
+            $where .= ' AND (' . $dbFactory->concatColumn(array('order_tel01', 'order_tel02', 'order_tel03')) . " LIKE ?)";
             $arrValues[] = sprintf('%%%d%%', preg_replace('/[()-]+/','', $objFormParam->getValue($key)));
             break;
         case 'search_order_email':
-            $where .= " AND order_email LIKE ?";
+            $where .= ' AND order_email LIKE ?';
             $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
             break;
         case 'search_payment_id':
-            $tmp_where = "";
+            $tmp_where = '';
             foreach ($objFormParam->getValue($key) as $element) {
-                if ($element != "") {
-                    if ($tmp_where == "") {
-                        $tmp_where .= " AND (payment_id = ?";
+                if ($element != '') {
+                    if ($tmp_where == '') {
+                        $tmp_where .= ' AND (payment_id = ?';
                     } else {
-                        $tmp_where .= " OR payment_id = ?";
+                        $tmp_where .= ' OR payment_id = ?';
                     }
                     $arrValues[] = $element;
@@ -328,14 +328,14 @@
 
             if (!SC_Utils_Ex::isBlank($tmp_where)) {
-                $tmp_where .= ")";
+                $tmp_where .= ')';
                 $where .= " $tmp_where ";
             }
             break;
         case 'search_total1':
-            $where .= " AND total >= ?";
+            $where .= ' AND total >= ?';
             $arrValues[] = sprintf('%d', $objFormParam->getValue($key));
             break;
         case 'search_total2':
-            $where .= " AND total <= ?";
+            $where .= ' AND total <= ?';
             $arrValues[] = sprintf('%d', $objFormParam->getValue($key));
             break;
@@ -344,5 +344,5 @@
                                                 $objFormParam->getValue('search_sordermonth'),
                                                 $objFormParam->getValue('search_sorderday'));
-            $where.= " AND create_date >= ?";
+            $where.= ' AND create_date >= ?';
             $arrValues[] = $date;
             break;
@@ -351,5 +351,5 @@
                                                 $objFormParam->getValue('search_eordermonth'),
                                                 $objFormParam->getValue('search_eorderday'), true);
-            $where.= " AND create_date <= ?";
+            $where.= ' AND create_date <= ?';
             $arrValues[] = $date;
             break;
@@ -358,5 +358,5 @@
                                                 $objFormParam->getValue('search_supdatemonth'),
                                                 $objFormParam->getValue('search_supdateday'));
-            $where.= " AND update_date >= ?";
+            $where.= ' AND update_date >= ?';
             $arrValues[] = $date;
             break;
@@ -365,5 +365,5 @@
                                                 $objFormParam->getValue('search_eupdatemonth'),
                                                 $objFormParam->getValue('search_eupdateday'), true);
-            $where.= " AND update_date <= ?";
+            $where.= ' AND update_date <= ?';
             $arrValues[] = $date;
             break;
@@ -372,5 +372,5 @@
                                                 $objFormParam->getValue('search_sbirthmonth'),
                                                 $objFormParam->getValue('search_sbirthday'));
-            $where.= " AND order_birth >= ?";
+            $where.= ' AND order_birth >= ?';
             $arrValues[] = $date;
             break;
@@ -379,9 +379,9 @@
                                                 $objFormParam->getValue('search_ebirthmonth'),
                                                 $objFormParam->getValue('search_ebirthday'), true);
-            $where.= " AND order_birth <= ?";
+            $where.= ' AND order_birth <= ?';
             $arrValues[] = $date;
             break;
         case 'search_order_status':
-            $where.= " AND status = ?";
+            $where.= ' AND status = ?';
             $arrValues[] = $objFormParam->getValue($key);
             break;
@@ -416,5 +416,5 @@
      */
     function doOutputCSV($where, $arrVal, $order) {
-        if ($where != "") {
+        if ($where != '') {
             $where = " WHERE $where ";
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 21514)
@@ -46,5 +46,5 @@
         $this->tpl_mainpage = 'order/product_select.tpl';
         $this->tpl_mainno = 'order';
-        $this->tpl_subno = "";
+        $this->tpl_subno = '';
         $this->tpl_maintitle = '受注管理';
         $this->tpl_subtitle = '商品選択';
@@ -134,5 +134,5 @@
 
         // 表示順序
-        $order = "update_date DESC, product_id DESC";
+        $order = 'update_date DESC, product_id DESC';
         $objQuery->setOrder($order);
 
@@ -202,8 +202,8 @@
     function createWhere(&$objFormParam,&$objDb) {
         $arrForm = $objFormParam->getHashArray();
-        $where = "alldtl.del_flg = 0";
+        $where = 'alldtl.del_flg = 0';
         $bind = array();
         foreach ($arrForm as $key => $val) {
-            if ($val == "") {
+            if ($val == '') {
                 continue;
             }
@@ -211,16 +211,16 @@
             switch ($key) {
                 case 'search_name':
-                    $where .= " AND name ILIKE ?";
-                    $bind[] = "%".$val."%";
+                    $where .= ' AND name ILIKE ?';
+                    $bind[] = '%'.$val.'%';
                     break;
                 case 'search_category_id':
                     list($tmp_where, $tmp_bind) = $objDb->sfGetCatWhere($val);
-                    if ($tmp_where != "") {
-                        $where.= " AND alldtl.product_id IN (SELECT product_id FROM dtb_product_categories WHERE " . $tmp_where . ")";
+                    if ($tmp_where != '') {
+                        $where.= ' AND alldtl.product_id IN (SELECT product_id FROM dtb_product_categories WHERE ' . $tmp_where . ')';
                         $bind = array_merge((array)$bind, (array)$tmp_bind);
                     }
                     break;
                 case 'search_product_code':
-                    $where .=    " AND alldtl.product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code LIKE ? AND del_flg = 0 GROUP BY product_id)";
+                    $where .=    ' AND alldtl.product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code LIKE ? AND del_flg = 0 GROUP BY product_id)';
                     $bind[] = '%'.$val.'%';
                     break;
@@ -279,9 +279,9 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam("オーダーID", 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("商品名", 'search_name', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("カテゴリID", 'search_category_id', STEXT_LEN, 'KVa',  array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
-        $objFormParam->addParam("商品コード", 'search_product_code', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
-        $objFormParam->addParam("フッター", 'footer', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('オーダーID', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('商品名', 'search_name', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('カテゴリID', 'search_category_id', STEXT_LEN, 'KVa',  array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('商品コード', 'search_product_code', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('フッター', 'footer', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 21514)
@@ -124,7 +124,7 @@
     function getMailHistory($order_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = "send_date, subject, template_id, send_id";
-        $where = "order_id = ?";
-        $objQuery->setOrder("send_date DESC");
+        $col = 'send_date, subject, template_id, send_id';
+        $where = 'order_id = ?';
+        $objQuery->setOrder('send_date DESC');
         return $objQuery->select($col, 'dtb_mail_history', $where, array($order_id));
     }
@@ -187,6 +187,6 @@
         if (SC_Utils_Ex::sfIsInt($objFormParam->getValue('template_id'))) {
             $objQuery =& SC_Query_Ex::getSingletonInstance();
-            $where = "template_id = ?";
-            $mailTemplates = $objQuery->select("subject, header, footer", 'dtb_mailtemplate', $where, array($objFormParam->getValue('template_id')));
+            $where = 'template_id = ?';
+            $mailTemplates = $objQuery->select('subject, header, footer', 'dtb_mailtemplate', $where, array($objFormParam->getValue('template_id')));
             if (!is_null($mailTemplates)) {
                 foreach (array('subject','header','footer') as $key) {
@@ -197,5 +197,5 @@
         } else {
             foreach (array('subject','header','footer') as $key) {
-                $objFormParam->setValue($key,"");
+                $objFormParam->setValue($key,'');
             }
         }
@@ -220,9 +220,9 @@
         parent::lfInitParam($objFormParam);
 
-        $objFormParam->addParam("オーダーID", 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("テンプレート", 'template_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("メールタイトル", 'subject', STEXT_LEN, 'KVa',  array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
-        $objFormParam->addParam("ヘッダー", 'header', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
-        $objFormParam->addParam("フッター", 'footer', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('オーダーID', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('テンプレート', 'template_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('メールタイトル', 'subject', STEXT_LEN, 'KVa',  array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('ヘッダー', 'header', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
+        $objFormParam->addParam('フッター', 'footer', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 21514)
@@ -129,9 +129,9 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam("注文番号", 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("変更前対応状況", 'status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("変更後対応状況", 'change_status', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("ページ番号", 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam("移動注文番号", 'move', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('注文番号', 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('変更前対応状況', 'status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('変更後対応状況', 'change_status', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('ページ番号', 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('移動注文番号', 'move', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
     }
 
@@ -150,5 +150,5 @@
         if ($this->getMode() == 'change') {
             if (is_null($objFormParam->getValue('change_status'))) {
-                $objFormParam->setValue('change_status',"");
+                $objFormParam->setValue('change_status','');
             }
         }
@@ -169,9 +169,9 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        $select ="*";
+        $select ='*';
         $from = 'dtb_order';
-        $where = "del_flg = 0 AND status = ?";
+        $where = 'del_flg = 0 AND status = ?';
         $arrval[] = $status;
-        $order = "order_id DESC";
+        $order = 'order_id DESC';
 
         $linemax = $objQuery->count($from, $where, $arrval);
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 21514)
@@ -116,5 +116,5 @@
         // カテゴリ取得
         $objDb = new SC_Helper_DB_Ex();
-        $this->arrCatList = $objDb->sfGetCategoryList("level = 1");
+        $this->arrCatList = $objDb->sfGetCategoryList('level = 1');
     }
 
@@ -133,8 +133,8 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam("商品ID", 'product_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("カテゴリID", 'category_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("ランク", 'rank', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam("コメント", 'comment', LTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('カテゴリID', 'category_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('ランク', 'rank', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('コメント', 'comment', LTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
     }
 
